# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}

%define section     free

Name:           plexus-interactivity
Version:        1.0
Release:        0.a5.1jpp
Epoch:          0
Summary:        Plexus Interactivity Handler Component
License:        Apache Software License
Group:          Development/Java
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://plexus.codehaus.org/
Source0:        plexus-interactivity-1.0-alpha-5-src.tar.gz
# svn export svn://svn.plexus.codehaus.org/plexus/scm/tags/plexus-interactivity-1.0-alpha-5/

Source1:        plexus-interactivity-1.0-api-build.xml
Source2:        plexus-interactivity-1.0-api-project.xml
Source3:        plexus-interactivity-1.0-jline-build.xml
Source4:        plexus-interactivity-1.0-jline-project.xml

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
%if %{with_maven}
BuildRequires:  maven
%endif
BuildRequires:  jline
BuildRequires:  plexus-container-default
BuildRequires:  plexus-utils

Requires:  plexus-container-default
Requires:  plexus-utils
Requires:  jline

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -n plexus-interactivity-1.0-alpha-5
cp %{SOURCE1} plexus-interactivity-api/build.xml
cp %{SOURCE2} plexus-interactivity-api/project.xml
cp %{SOURCE3} plexus-interactivity-jline/build.xml
cp %{SOURCE4} plexus-interactivity-jline/project.xml

%build
%if %{with_maven}
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars \
maven-jelly-tags

mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
jline plexus/container-default plexus/utils
export MAVEN_HOME_LOCAL=$(pwd)/.maven
%endif

pushd plexus-interactivity-api
%if %{with_maven}
maven \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        jar:install javadoc

%else

mkdir -p target/lib
build-jar-repository -s -p target/lib plexus/container-default plexus/utils
ant jar javadoc
%endif
popd

pushd plexus-interactivity-jline
%if %{with_maven}
maven \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        jar:install javadoc

%else

mkdir -p target/lib
cp ../plexus-interactivity-api/target/plexus-interactivity-api-1.0-alpha-5.jar target/lib
build-jar-repository -s -p target/lib jline plexus/container-default
ant jar javadoc
%endif
popd


%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/plexus
install -pm 644 plexus-interactivity-api/target/%{name}-api-%{version}-alpha-5.jar \
  $RPM_BUILD_ROOT%{_javadir}/plexus/interactivity-api-%{version}.jar
install -pm 644 plexus-interactivity-jline/target/%{name}-jline-%{version}-alpha-5.jar \
  $RPM_BUILD_ROOT%{_javadir}/plexus/interactivity-jline-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/plexus && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/api
cp -pr plexus-interactivity-api/target/docs/apidocs/* \
		$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jline
cp -pr plexus-interactivity-jline/target/docs/apidocs/* \
		$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jline
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a5.1jpp
- First JPackage build

